package org.eclipse.equinox.launcher;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.File;
import java.net.URL;
import java.net.URLClassLoader;
import java.net.URLStreamHandlerFactory;
import org.eclipse.equinox.launcher.Main;

class StartupClassLoader extends URLClassLoader {
  public StartupClassLoader(URL[] urls) {
    super(urls);
  }
  
  public StartupClassLoader(URL[] urls, ClassLoader parent) {
    super(urls, parent);
  }
  
  public StartupClassLoader(URL[] urls, ClassLoader parent, URLStreamHandlerFactory factory) {
    super(urls, parent, factory);
  }
  
  protected String findLibrary(String name) {
    if (Main.this.extensionPaths == null)
      return super.findLibrary(name); 
    String libName = System.mapLibraryName(name);
    for (int i = 0; i < Main.this.extensionPaths.length; i++) {
      File libFile = new File(Main.this.extensionPaths[i], libName);
      if (libFile.isFile())
        return libFile.getAbsolutePath(); 
    } 
    return super.findLibrary(name);
  }
}
